Skip to main content
Simple

Authorizations

Authorization
string
header
required

SuperOffice username:password are passed in Base64-encoded.

You can also pass inn an unencoded ticket 7T:abc== with the HTTP Authenticate header.

Authorization
string
header
required

SuperOffice SuperId OAuth implicit flow. You need to issue a request to the SuperId authorization URL https://online.superoffice.com/login/common/oauth/authorize?response_type=token &client_id=670734e0-4c5a-11e3-be9e-a171392e81db &redirect_uri=https://example.com/spa/

passing in the application id and redirect URL.

SuperId will log the user in, and redirect to the requested redirect URL with a #payload containing the access token and claims. (The redirect URL must be registered with SuperId in advance)

https://example.com/spa#access_token=8A%3aCust12227.AXRrCITpPBvQX3UbIohb &token_type=bearer &state= &expires_in=3600 &ctx=Cust12227 &netserver_url=https%3a%2f%2fsod.superoffice.com%2fCust12227%2fRemote%2fServices82%2f

You can take the #access_token value and pass it as the Authenticate HTTP header as a BEARER token.

FlowImplicit
Authorization URL
https://online.superoffice.com/login/common/oauth/authorize

Headers

Accept-Language
string

Convert string references and multi-language values into a specified language (iso2) code.

SO-Language
string

Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value.

SO-Culture
string

Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set.

SO-TimeZone
string

Specify the timezone code that you would like date/time responses converted to.

SO-AppToken
string

The application token that identifies the partner app. Used when calling Online WebAPI from a server.

Path Parameters

id
integer<int32>
required

The id of the Sale to return.

Response

SaleEntity found.

Carrier object for Sale. Services for the Sale Carrier is available from the Sale Agent.

ContactName
string

Contact name

SaleDate
string<date-time>

(expected / lost / won) sales date

SaleId
integer<int32>

Primary key

Probability
integer<int32>

Actual probability, may differ from the one in the list

Title
string

Sale heading (short description?)

Amount
number<double>

Total sale amount

Currency
string

Currency the sale was made in.

ProjectName
string

Project name

AssociateFullName
string

The sale's owner

Description
string

The sales description

Status
enum<string>

The sale's status, indicating wether the sale is open, sold or lost.

Available options:
Unknown,
Open,
Sold,
Lost,
Stalled,
SaintAll
WeightedAmount
number<double>

The weighted amount ( amount * probability / 100)

ProjectId
integer<int32>

Optional project reference

EarningPercent
number<double>

Earning as percent of total

Earning
number<double>

Earning on sale

ContactId
integer<int32>

Optional contact reference

AssociateId
integer<int32>

The sale's owner id

PersonId
integer<int32>

The sale's contact persons id

SaleTypeId
integer<int32>

The sale's type id

SaleTypeName
string

The sale's type name

PersonFullName
string

The name of the person this sale belongs to.

Completed
enum<string>

The sale's completed state as an ActivityStatus (Completed=3), not the SaleDone enum stored in sale.done. Only Completed marks the sale as done (sale.done=2); any other value, including Started, is stored as not done (sale.done=1).

Available options:
Unknown,
NotStarted,
Started,
Completed

The number of active erp links

NextDueDate
string<date-time>

Next due date, this is a denormalization of 'closest future activity date, or most recent if no future activities'. Maintained by the system, but very convenient for searching.

Number
string

Alphanumeric user field

TableRight
object

Wraps a table right together with an explanatory reason. Code can indicate why access is restricted.

FieldProperties
object

Field property dictionary mapping field names to field access rights.